Productsup
API referenceV1Export template metadata

Create export template metadata

Create internal metadata for an export template channel.

POST
/V1/export-templates/{id}/metadata

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

id*string

Export template id.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://export-template-api.productsup.com/V1/export-templates/string/metadata" \  -H "Content-Type: application/json" \  -d '{    "channelOwner": "third-party",    "confidence": "needs-checking",    "lastReviewedOn": "2024-11-15T00:00:00+00:00",    "helpCenterLink": "https://help.productsup.com/generic",    "internalDocLink": "https://docs.internal.com/channel",    "specificationsLink": "https://specs.productsup.com/channel",    "notes": "Third party integration requiring special attention"  }'
{
  "data": {
    "channelOwner": "string",
    "lastReviewedOn": "string",
    "confidence": "string",
    "helpCenterLink": "string",
    "internalDocLink": "string",
    "specificationsLink": "string",
    "notes": "string"
  }
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations."
  }
}
{
  "errors": {
    "message": "Export template with id 99999 not found."
  }
}

How is this guide?